"""Rendering module."""
from ._animations import (
    configure_matplotlib_for_embedded_animation,
    display_video_file,
    make_animation,
    save_animation,
    video_only_output,
)
from ._source import SourceRenderType
from .layers import (
    SourceDrawingParams,
    draw_material_outlines,
    draw_source,
    draw_target,
)
from .layout import configure_layout_plot, create_layout_fig
from .napari import (
    ViewerConfig3D,
    render_amplitudes_3d_with_napari,
    render_layout_3d_with_napari,
)
from .simulations import (
    configure_result_plot,
    create_pulsed_figure,
    create_steady_state_figure,
)

__all__ = [
    "configure_layout_plot",
    "configure_result_plot",
    "create_layout_fig",
    "create_steady_state_figure",
    "draw_material_outlines",
    "draw_source",
    "draw_target",
    "SourceDrawingParams",
    "render_layout_3d_with_napari",
    "render_amplitudes_3d_with_napari",
    "ViewerConfig3D",
    "create_pulsed_figure",
    "make_animation",
    "video_only_output",
    "display_video_file",
    "SourceRenderType",
    "configure_matplotlib_for_embedded_animation",
    "save_animation",
]
